Index: gui/edit_win.cc
===================================================================
--- gui/edit_win.cc	(revision 1485)
+++ gui/edit_win.cc	(revision 1494)
@@ -19,5 +19,5 @@
   
   //buttons array
-  buttons=new (Gtk::RadioButton *) [TOOL_NUM];
+  buttons=new Gtk::RadioButton * [TOOL_NUM];
   for(int i=0;i<TOOL_NUM;i++)
     {
Index: lemon/concept/graph_component.h
===================================================================
--- lemon/concept/graph_component.h	(revision 1435)
+++ lemon/concept/graph_component.h	(revision 1494)
@@ -409,4 +409,5 @@
 	  typename _Graph::Node node_a, node_b;
 	  node_a = graph.addNode();
+	  node_b = graph.addNode();
 	  typename _Graph::Edge edge;
 	  edge = graph.addEdge(node_a, node_b);
@@ -928,4 +929,5 @@
 	  typename _Graph::Node node_a, node_b;
 	  node_a = graph.addNode();
+	  node_b = graph.addNode();
 	  typename _Graph::Edge edge;
 	  edge = graph.addEdge(node_a, node_b);      
Index: lemon/concept/heap.h
===================================================================
--- lemon/concept/heap.h	(revision 1435)
+++ lemon/concept/heap.h	(revision 1494)
@@ -156,4 +156,7 @@
 	  Prio prio;
 
+	  item=Item();
+	  prio=Prio();
+
 	  ignore_unused_variable_warning(item);
 	  ignore_unused_variable_warning(prio);
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 1470)
+++ lemon/graph_to_eps.h	(revision 1494)
@@ -331,8 +331,8 @@
   typedef typename Graph::OutEdgeIt OutEdgeIt;
 
-  static const int INTERPOL_PREC=20;
-  static const double A4HEIGHT = 841.8897637795276;
-  static const double A4WIDTH  = 595.275590551181;
-  static const double A4BORDER = 15;
+  static const int INTERPOL_PREC;
+  static const double A4HEIGHT;
+  static const double A4WIDTH;
+  static const double A4BORDER;
 
   bool dontPrint;
@@ -706,6 +706,7 @@
       os << "%%CreationDate: " << cbuf;
     }
-    ///\todo: Chech whether the graph is empty.
     BoundingBox<double> bb;
+    ///\bug: Chech whether the graph is empty.
+    if(NodeIt(g)==INVALID) bb+=xy<double>(0,0);
     for(NodeIt n(g);n!=INVALID;++n) {
       double ns=_nodeSizes[n]*_nodeScale;
@@ -976,4 +977,13 @@
 };
 
+template<class T>
+const int GraphToEps<T>::INTERPOL_PREC = 20;
+template<class T>
+const double GraphToEps<T>::A4HEIGHT = 841.8897637795276;
+template<class T>
+const double GraphToEps<T>::A4WIDTH  = 595.275590551181;
+template<class T>
+const double GraphToEps<T>::A4BORDER = 15;
+
 
 ///Generates an EPS file from a graph
Index: lemon/lemon_reader.h
===================================================================
--- lemon/lemon_reader.h	(revision 1492)
+++ lemon/lemon_reader.h	(revision 1494)
@@ -311,4 +311,6 @@
       }
 
+      virtual ~SectionReader() {}
+
       /// \brief Gives back true when the SectionReader can process 
       /// the section with the given header line.
@@ -572,4 +574,5 @@
     public:
       typedef _Item Item;
+      virtual ~IdReaderBase() {}
       virtual Item read(std::istream& is) const = 0;
       virtual bool isIdReader() const = 0;
@@ -601,4 +604,5 @@
     public:
       virtual void read(std::istream&) {};
+      virtual ~ValueReaderBase() {}
     };
 
Index: lemon/lemon_writer.h
===================================================================
--- lemon/lemon_writer.h	(revision 1492)
+++ lemon/lemon_writer.h	(revision 1494)
@@ -132,4 +132,6 @@
 	writer.attach(*this);
       }
+      
+      virtual ~SectionWriter() {}
 
       /// \brief The header of section.
@@ -251,4 +253,5 @@
     class ValueWriterBase {
     public:
+      virtual ~ValueWriterBase() {}
       virtual void write(std::ostream&) = 0;
     };
@@ -276,4 +279,5 @@
     public:
       typedef _Item Item;
+      virtual ~IdWriterBase() {}
       virtual void write(std::ostream&, const Item&) const = 0;
       virtual bool isIdWriter() const = 0;
Index: test/max_matching_test.cc
===================================================================
--- test/max_matching_test.cc	(revision 1435)
+++ test/max_matching_test.cc	(revision 1494)
@@ -19,5 +19,5 @@
 #include <vector>
 #include <queue>
-#include <math.h>
+#include <cmath>
 #include <cstdlib>
 
